%define ver	1.2
%define rel	1
%define prefix	/opt/comclear
%define name	comclear

Summary: A program to quickly and easily remove your Netscape history.
Name: %name
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/System
Source: http://www.neuro-tech.net/comclear-%{ver}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Packager: Luke Reeves <luke@submail.net>
URL: http://www.neuro-tech.net/comclearu.xml
Docdir: %{prefix}/doc
Requires: gtk+ >= 1.2.0

%description
ComClear is a small program that will erase all traces of where you've been
on the Internet from Netscape Navigator/Communicator.  It includes a GTK GUI version and a command-line version, both run by issuing the command comclear.

%prep
%setup -q

%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
install -m 755 comclear $RPM_BUILD_ROOT%{prefix}/bin/comclear
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Utilities
install ComClear.desktop $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Utilities/ComClear.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/share/gnome/apps/Utilities/ComClear.desktop
%{prefix}/bin/comclear

%doc README AUTHORS ChangeLog NEWS INSTALL COPYING

%changelog
* Sat Apr 01 2001 Luke Reeves <luke@submail.net>

- Version 1.2, added a GNOME shortcut for the program.

* Tue Nov 14 2000 Luke Reeves <luke@submail.net>

- Version 1.1 released, which now properly installs documentation.

* Sat Nov 11 2000 Luke Reeves <luke@submail.net>

- Initial release
